/Users/bernard/b20/bsoft/src/bmodmap.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmodmap.cpp - A tool to genrate a map from a model.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_map.h'
#include 'rwimg.h'
#include 'model_select.h'
#include 'model_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to genrate a map from a model.

Author:
    Bernard Heymann

Date:
    Created: 20081112

    Modified: 20110804

Definition in file bmodmap.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 49 of file bmodmap.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmodmap [options] in.star",
"--------------------------------",
"Generates a map from a model.",
" ",
"Actions:",
"-all                     Reset selection to all components before other selections.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new image data type.",
"-origin 0,0,0            Origin placement within image (default 0,0,0).",
"-size 10,10,10           Map size, input map size otherwise (voxels).",
"-sampling 1              Sampling (default 1 angstrom/voxel).",
"-sigma 3.5               Density decay around a component (default 10).",
" ",
"Input:",
"-parameters param.star   Input parameter file.",
" ",
"Output:",
"-output model.star       New model file.",
"-map density.map         New map file.",
" ",
NULL
}

Definition at line 22 of file bmodmap.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.